Hewlett-Packard Network Virtualization Information Disclosure Vulnerability

2015-05-12T00:00:00
ID ZDI-15-192
Type zdi
Reporter Aniway.Anyway@gmail.com
Modified 2015-11-09T00:00:00

Description

This vulnerability allows remote attackers to read arbitrary files on vulnerable installations of Hewlett-Packard Network Virtualization. Authentication is not required to exploit this vulnerability.

The specific flaw exists because neither the HttpServlet nor the NetworkEditorController sanitize the URL, and hence the file name, requested. An attacker can use this to read any file on the system under the context of SYSTEM.